package es.fileStore.dao;

import java.io.Serializable;
import java.util.List;

import es.fileStore.entity.Categorias;
import es.fileStore.bean.FiltroCategorias;
import es.fileStore.dao.IGenericDao;

public interface ICategoriasDAO extends IGenericDao<Categorias, Serializable> {

	public List<Categorias> getListaCategorias(FiltroCategorias filtro);
		
	public Integer altaCategoria(Categorias categoria);
	
	public Categorias getCategoria (Integer idCategoria);
	
}
