package es.fileStore.utils;

import java.util.List;

import org.apache.commons.configuration.PropertiesConfiguration;

public class ConfigurationManager {

		
	private static PropertiesConfiguration conf = new PropertiesConfiguration();
	
    static{
        try{
        	conf.load(ConfigurationManager.class.getResourceAsStream(Constantes.CONFIGURATION_FILE));
        }catch(Exception e){
            throw new IllegalArgumentException("No se ha podido cargar el fichero de configuracin: "+e.getMessage());
        }
    }
    
    public static String getProperty(String key){
        return conf.getString(key);
    }

    public static int getInt(String key) {
    	return conf.getInt(key);
    }
    
    public static List<String> getList(String key) {
    	return (conf.getList(key).size()==0)?null:(conf.getList(key));
    }
    
    public static String[] getStringArray(String key) {
    	return (conf.getStringArray(key).length==0)?null:conf.getStringArray(key);
    }
    
}
