package es.fileStore.business.db;

import java.io.Serializable;
import java.util.List;

import es.fileStore.bean.FiltroCategorias;
import es.fileStore.entity.Categorias;
import es.fileStore.business.db.IGenericBusinessLogic;

public interface ICategoriasLN extends IGenericBusinessLogic<Categorias, Serializable> {

	public List<Categorias> getListaCategorias(FiltroCategorias filtro);
	
	public Integer altaCategoria(Categorias categoria);
	
	public Categorias getCategoria (Integer idCategoria);
	
}
