package es.fileStore.business.db;

import java.io.Serializable;
import java.util.List;

import es.fileStore.bean.FiltroFicheros;
import es.fileStore.entity.Ficheros;
import es.fileStore.view.bean.FicheroBean;
import es.fileStore.view.bean.UploadedFile;

public interface IFicherosLN extends IGenericBusinessLogic<Ficheros, Serializable> {

	public List<FicheroBean> consulta(FiltroFicheros filtro);
	
	public void altaFichero(Ficheros fichero, UploadedFile ficheroSubido) throws Exception;
	
	public Ficheros detalle(Integer idFichero);
}
