package es.fileStore.dao;

import java.io.Serializable;
import java.util.List;

import es.fileStore.bean.FiltroFicheros;
import es.fileStore.entity.Ficheros;
import es.fileStore.view.bean.FicheroBean;

public interface IFicherosDAO extends IGenericDao<Ficheros, Serializable>{

	public List<FicheroBean> consulta(FiltroFicheros filtro);
	
	public void altaFichero(Ficheros fichero);
	
	public Ficheros detalle(Integer idFichero);
	
}
